<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <title>Hello React</title>
    <script src="https://fb.me/react-15.2.1.js"></script>
    <script src="https://fb.me/react-dom-15.2.1.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/babel-core/5.8.34/browser.min.js"></script>
  </head>
  <body>
    <div id="example"></div>
    <script type="text/babel">
      var Timer = React.createClass({
        getInitialState: function() {
          return {secondsElapsed: 0};
        },
        tick: function() {
          this.setState({secondsElapsed: this.state.secondsElapsed + 1});
        },
        componentDidMount: function() {
          this.interval = setInterval(this.tick, 1000);
        },
        componentWillUnmount: function() {
          clearInterval(this.interval);
        },
        render: function() {
          return (
            <div>Seconds Elapsed: {this.state.secondsElapsed}</div>
          );
        }
      });

      ReactDOM.render(<Timer />, document.getElementById('example'));
    </script>
  </body>
</html>
